body * {
    font-family: "Poppins";
}

.grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
    height: 100vh;
    width: 100%;
    background-color: var(--bg3);
    overflow: hidden;
}

.grid * {
    width: 100%;
    height: 100%;
}

.tutorial {
    --padding: 15px;
    --width: 600px;
    --height: 300px;
    position: fixed;

    top: calc(50% - var(--height) / 2);
    left: calc(50% - var(--width) / 2);
    z-index: 6;
    height: var(--height);
    width: var(--width);
    padding: var(--padding);
    border-radius: 20px;
}

.tools {
    --padding: 15px;
    --width: 600px;
    --height: 300px;

    position: fixed;

    top: calc(50% - var(--height) / 2);
    left: calc(50% - var(--width) / 2);
    height: var(--height);
    width: var(--width);
    background-color: var(--bg);
    padding: var(--padding);
    border-radius: 15px;
    border: 2px solid var(--bg);
    z-index: 9;
}
.apply-btn {
    --parent-padding: 15px;
    --padding: 12px 24px;

    font-weight: bold;
    margin: 0 auto;
    display: block;
    position: absolute;
    right: var(--parent-padding);
    bottom: var(--parent-padding);
    padding: var(--padding);
    border-radius: 64px;
    background-color: rgb(153, 255, 0);
    cursor: pointer;
}
.apply-btn:hover {
    transform: scale(105%);
}

.over {
    position: fixed;
    top: 0px;
    left: 0px;
    height: 100vh;
    width: 100vw;
    opacity: 0.8;
    z-index: 3;
    pointer-events: none;
    background-color: black;
}

.settings-btn {
    position: fixed;
    right: 20px;
    bottom: 20px;
    width: 50px;
    height: 50px;
    border-radius: 50px;
    z-index: 9;
}

.settings-btn i {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 1px;
}

#links {
    width: 60%;
    height: 35%;
    text-wrap: wrap;
}

label {
    font-weight: bold;
}

.warning {
    display: none;
}

a:visited,
a:link {
    color: cornflowerblue;
}

textarea {
    resize: none;
}

@media only screen and (max-width: 700px) {
    .warning {
        display: block;
        position: fixed;
        top: 0px;
        left: 0px;
        background-color: black;
        font-size: 48px;
        text-align: center;
        font-weight: bolder;
        color: white;
        width: 100%;
        height: 200px;
        z-index: 9999;
        padding: calc(50vh - 200px / 2) 0;
    }
}
